#### D.7.4.5 sympower

Procedure from library `invar.lib` (see invar_lib).

Usage:
  sympower(<matrix>,<int>)

Returns:
  If m is a matrix with coefficients in the ring 'group', representing the action on some vector space V, then sympower(m,n) gives the matrix of the representation of the group on the n-th symmetric power of V.

Example:

    LIB "invar.lib";
    SL(2);
    print(SLrep);
    ==> g(1),g(2),
    ==> g(3),g(4)
    print(sympower(SLrep,3));
    ==> g(1)^3,     3*g(1)^2*g(2),        3*g(1)*g(2)^2,        g(2)^3,
    ==> g(1)^2*g(3),3*g(1)^2*g(4)-2*g(1), 3*g(1)*g(2)*g(4)-g(2),g(2)^2*g(4),
    ==> g(1)*g(3)^2,3*g(1)*g(3)*g(4)-g(3),3*g(1)*g(4)^2-2*g(4), g(2)*g(4)^2,
    ==> g(3)^3,     3*g(3)^2*g(4),        3*g(3)*g(4)^2,        g(4)^3

User manual for Singular version 4.4.1, 2025, generated by texi2html.